# automatically generated, don't edit
# Fri Aug  1 09:26:36 EDT 2008

RELEASE=3.1a

AFILE_EXE=bglafile
JFILE_EXE=bgljfile
BTAGS_EXE=bgltags
BDEPEND_EXE=bgldepend
BMAKE_EXE=bglmake
BPP_EXE=bglpp
BPROF_EXE=bglprof
MCO_EXE=bglmco
JAS_EXE=bgljas
BMEM_EXE=bglmem
BMEMRUN_EXE=bglmemrun
BDB_EXE=bgldb
BGLPKG_EXE=bglpkg

POSIXOS=cygwin

RM=/bin/rm

LN_S=ln -s

INSTALLBEE=partial

BOOTDIR=/home/chenguang/bigloo3.1a
BOOTBINDIR=/home/chenguang/bigloo3.1a/bin
BOOTLIBDIR=/home/chenguang/bigloo3.1a/lib/3.1a

DESTDIR=
BINDIR=/bigloo/bin
LIBDIR=$(DESTDIR)/bigloo/lib
FILDIR=bigloo/3.1a
ZIPDIR=$(DESTDIR)F:\\Chengu~1\\cygwin\\bigloo\\lib\\bigloo\\3.1a
SYSZIPDIR=$(DESTDIR)F:\\Chengu~1\\cygwin\\bigloo\\lib\\bigloo\\3.1a
DLLDIR=$(DESTDIR)F:\\Chengu~1\\cygwin\\bigloo\\lib\\bigloo\\3.1a
SYSDLLDIR=$(DESTDIR)F:\\Chengu~1\\cygwin\\bigloo\\lib\\bigloo\\3.1a
MANDIR=$(DESTDIR)/bigloo/man/man1
INFODIR=$(DESTDIR)/bigloo/info
DOCDIR=$(DESTDIR)/bigloo/doc/bigloo-3.1a
TMP=/tmp

NATIVEBACKEND=yes
LIBRARYNAME=bigloo

BOOTBIGLOO=$(BOOTBINDIR)/bigloo
CC=gcc
CFLAGS=-O3 
CSTRIPFLAGS=-s
CPICFLAGS=-DBGL_NO_PIC
CFLAGS_P=$(CFLAGS) -pg -fno-inline
CGCFLAGS=-DNO_DEBUGGING -Iinclude -Ilibatomic_ops-install/include -DFINALIZE_ON_DEMAND 
EXTRALIBS=-ldl -lm
EXTRAGCLIBS=-lc
CLOSELIBS= # always empty, does not contain GC, override by makefiles

CUSTOMGC=gc-7.1
GCLIB=bigloogc
GCCUSTOM=yes
GCINCLUDE=-I$(BOOTDIR)/gc/gc-7.1/include
GCCLOSELIB=-l$(GCLIB)-$(RELEASE)
GCSTDOBJ=

EXTRA_LD_OPT= -Xlinker --stack -Xlinker 4194304 
SHRD_COMP=no
SHRD_BDE_OPT=-static-bigloo
EXE_SUFFIX=.exe
AS=gcc -c -x assembler-with-cpp

AR=ar
ARFLAGS=qc
RANLIB=ranlib
SHAREDLIBRARYSUPPORT=no
LD=true# (true means no dynamic library)
LDPRELOADSUPPORT=no
LDSONAME=
LDINSTALLNAME=

SHAREDSUFFIX=so

DLOPENSUPPORT=yes

CGCTHREADFLAGS=-DGC_WIN32_THREADS -D_REENTRANT -DGC_THREADS -DMAX_THREADS=256 -DFINALIZE_ON_DEMAND
PTHREADLIBS=-lpthread
OPENSSLLIBS=
SQLITELIBS=
SQLITESRFI=sqltiny
GSTREAMER=
GSTREAMERLIBS=
GSTREAMERFLAGS=
STRIP=strip

EMACS=emacs
EMACSDIR=
EMACSBRAND=false
EWARN=

BMASK=755

INSTALLINFO=install-info
INSTALLINFODIROPT=--dir-file

JVMBACKEND=no

DOTNETBACKEND=no

BFLAGS=-O3 -q
BOOTFLAGS=
BFEATUREFLAGS=

SCRIPTEXTENSION=.bat
C_OBJ_EXTENSION=o

APIS=fthread pthread sqlite web multimedia mail calendar pkgcomp pkglib

